| DocBook: The Definitive Guide 2.0.17 (Alpha)

# answer

$Revision$

$Date$

answer — An answer to a question posed in a `QandASet`

## Synopsis

### Content Model

    answer ::=
    (label?,
     (calloutlist|glosslist|bibliolist|itemizedlist|orderedlist|
      segmentedlist|simplelist|variablelist|caution|important|note|
      tip|warning|literallayout|programlisting|programlistingco|
      screen|screenco|screenshot|synopsis|cmdsynopsis|funcsynopsis|
      classsynopsis|fieldsynopsis|constructorsynopsis|
      destructorsynopsis|methodsynopsis|formalpara|para|simpara|
      address|blockquote|graphic|graphicco|mediaobject|mediaobjectco|
      informalequation|informalexample|informalfigure|informaltable|
      equation|example|figure|table|procedure|anchor|bridgehead|
      remark|highlights|indexterm)*,
     qandaentry*)

### Attributes

Common attributes

## Description

Within a `QandAEntry`, a `Question` may have an `Answer`. An `Answer` is optional (some questions have no answers) and may be repeated (some questions have more than one answer).

### Processing expectations

`Answer`s are frequently introduced with a label, such as “A:”. If an `Answer` has a `Label` child element, the content of that `Label` is used as the label for the `Answer`. The `DefaultLabel` attribute on the nearest ancestor `QandASet` of an `Answer` can be used to indicate that a processing application should automatically generate a label for the `Answer`.

### Parents

These elements contain answer: `qandaentry`.

### Children

The following elements occur in answer: `address`, `anchor`, `bibliolist`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constructorsynopsis`, `destructorsynopsis`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `label`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `note`, `orderedlist`, `para`, `procedure`, `programlisting`, `programlistingco`, `qandaentry`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `simpara`, `simplelist`, `synopsis`, `table`, `tip`, `variablelist`, `warning`.

## Examples

For examples, see `qandaset`.

anchor |  | appendix

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.